# This file created by conda-build 3.18.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/ipython-7.6.0-python_3.6-on-linux_64, last modified Mon Jul  1 13:55:31 2019
# ------------------------------------------------

package:
    name: ipython
    version: 7.6.0
source:
    sha256: 0806894ae78ddb94b530514acc9ab03a928b79374d8630470b439b58383dd7ee
    url: https://pypi.io/packages/source/i/ipython/ipython-7.6.0.tar.gz
build:
    entry_points:
        - iptest = IPython.testing.iptestcontroller:main
        - iptest3 = IPython.testing.iptestcontroller:main
        - ipython = IPython:start_ipython
        - ipython3 = IPython:start_ipython
    number: '0'
    script: /tmp/build/80754af9/ipython_1562004076592/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
        -m pip install . --no-deps --ignore-installed -vvv
    string: py36h39e3cac_0
requirements:
    host:
        - ca-certificates 2019.5.15 0
        - certifi 2019.6.16 py36_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1c h7b6447c_1
        - pip 19.1.1 py36_0
        - python 3.6.8 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 41.0.1 py36_0
        - sqlite 3.28.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.4 py36_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - backcall
        - decorator
        - jedi >=0.10
        - pexpect
        - pickleshare
        - prompt_toolkit >=2.0.0
        - pygments
        - python >=3.6,<3.7.0a0
        - traitlets >=4.2
test:
    commands:
        - ipython -h
        - ipython3 -h
        - NOSE_EXCLUDE="test_history|recursion" iptest
    imports:
        - IPython
        - IPython.core
        - IPython.core.magics
        - IPython.core.tests
        - IPython.extensions
        - IPython.extensions.tests
        - IPython.external
        - IPython.external.decorators
        - IPython.lib
        - IPython.lib.tests
        - IPython.sphinxext
        - IPython.terminal
        - IPython.terminal.pt_inputhooks
        - IPython.terminal.tests
        - IPython.testing
        - IPython.testing.plugin
        - IPython.testing.tests
        - IPython.utils
        - IPython.utils.tests
    requires:
        - ipykernel
        - matplotlib
        - nbformat
        - nose>=0.10.1
        - numpy
        - pygments
        - requests
        - testpath
about:
    description: 'IPython provides a rich architecture for interactive computing with

        a powerful interactive shell, a kernel for Jupyter, high performance

        tools for parallel computing, and more.

        '
    dev_url: https://github.com/ipython/ipython
    doc_url: https://ipython.readthedocs.io/
    home: https://ipython.org/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: 'IPython: Productive Interactive Computing'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Carreau
        - blink1073
        - bollwyvl
        - ellisonbg
        - fperez
        - jakirkham
        - minrk
        - ocefpaf
        - pelson
        - takluyver
